Main Page Data Structures File List Data Fields Globals Related Pages

# clib/ide.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | T_DRIVE_PARAM
## Functions
void | IDE_reset (void)
int | IDE_ReadSRAM (unsigned char *bfr)
int | IDE_WriteSRAM (unsigned char *bfr)
int | IDE_identify (void)
int | IDE_read (int cyl, int head, int sect, int cnt, unsigned char *buf)
int | IDE_write (int cyl, int head, int sect, int cnt, unsigned char *buf)
int | IDE_LBA_read (unsigned long sector, int cnt, unsigned char *buf)
int | IDE_LBA_write (unsigned long sector, int cnt, unsigned char *buf)
## Variables
T_DRIVE_PARAM | drive

## Function Documentation

int IDE_identify | ( | void |  | ) |

| Definition at line 527 of file ide.c. References T_DRIVE_PARAM::cylinders, hal_outportb, T_DRIVE_PARAM::heads, T_DRIVE_PARAM::id, ID_CYL, ID_HEADS, ID_SECT, IDE_bit_mode(), IDE_COMMAND, IDE_datarequest(), IDE_error(), IDE_HEAD, IDE_IDENTIFY, IDE_reset(), IDE_waitdrq(), T_DRIVE_PARAM::sector_size, T_DRIVE_PARAM::sectors, and uint.

int IDE_LBA_read | ( | unsigned long | sector,
|  | int | cnt,
|  | unsigned char * | buf
| ) |

| Definition at line 340 of file ide.c. References IDE_error(), IDE_LBA_command(), IDE_READ_SECTOR, and IDE_waitdrq().

int IDE_LBA_write | ( | unsigned long | sector,
|  | int | cnt,
|  | unsigned char * | buf
| ) |

| Definition at line 377 of file ide.c. References IDE_error(), IDE_LBA_command(), IDE_waitdrq(), IDE_waitirq(), and IDE_WRITE_SECTOR.

int IDE_read | ( | int | cyl,
|  | int | head,
|  | int | sect,
|  | int | cnt,
|  | unsigned char * | buf
| ) |

| Definition at line 419 of file ide.c. References IDE_command(), IDE_error(), IDE_READ_SECTOR, and IDE_waitdrq().

int IDE_ReadSRAM | ( | unsigned char * | bfr | ) |

| Definition at line 483 of file ide.c. References hal_outportb, IDE_COMMAND, IDE_HEAD, and IDE_waitdrq().

void IDE_reset | ( | void |  | ) |

| Definition at line 300 of file ide.c. References hal_outportb, IDE_bit_mode(), IDE_CONTROL, IDE_status(), IDE_STS_BSY, IDE_waitirq(), and RTX_Sleep_Time(). Referenced by IDE_identify().

int IDE_write | ( | int | cyl,
|  | int | head,
|  | int | sect,
|  | int | cnt,
|  | unsigned char * | buf
| ) |

| Definition at line 450 of file ide.c. References IDE_command(), IDE_error(), IDE_waitdrq(), IDE_waitirq(), and IDE_WRITE_SECTOR.

int IDE_WriteSRAM | ( | unsigned char * | bfr | ) |

| Definition at line 502 of file ide.c. References hal_outportb, IDE_COMMAND, IDE_HEAD, and IDE_waitdrq().

## Variable Documentation

T_DRIVE_PARAM drive

| Definition at line 47 of file ide.h.